curl --request POST \
--url https://lens-api.tic.io/companies/{id}/assignments \
--header 'Content-Type: application/json-patch+json' \
--header 'x-api-key: <api-key>' \
--data '
{
"startRow": 123,
"endRow": 123,
"rowGroupCols": [
{
"id": "<string>",
"displayName": "<string>",
"field": "<string>"
}
],
"groupKeys": [
"<string>"
],
"filterModel": [
{
"columnName": "<string>",
"filterType": "<string>"
}
],
"sortModel": [
{
"colId": "<string>"
}
]
}
'import requests
url = "https://lens-api.tic.io/companies/{id}/assignments"
payload = {
"startRow": 123,
"endRow": 123,
"rowGroupCols": [
{
"id": "<string>",
"displayName": "<string>",
"field": "<string>"
}
],
"groupKeys": ["<string>"],
"filterModel": [
{
"columnName": "<string>",
"filterType": "<string>"
}
],
"sortModel": [{ "colId": "<string>" }]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
startRow: 123,
endRow: 123,
rowGroupCols: [{id: '<string>', displayName: '<string>', field: '<string>'}],
groupKeys: ['<string>'],
filterModel: [{columnName: '<string>', filterType: '<string>'}],
sortModel: [{colId: '<string>'}]
})
};
fetch('https://lens-api.tic.io/companies/{id}/assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://lens-api.tic.io/companies/{id}/assignments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'startRow' => 123,
'endRow' => 123,
'rowGroupCols' => [
[
'id' => '<string>',
'displayName' => '<string>',
'field' => '<string>'
]
],
'groupKeys' => [
'<string>'
],
'filterModel' => [
[
'columnName' => '<string>',
'filterType' => '<string>'
]
],
'sortModel' => [
[
'colId' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json-patch+json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://lens-api.tic.io/companies/{id}/assignments"
payload := strings.NewReader("{\n \"startRow\": 123,\n \"endRow\": 123,\n \"rowGroupCols\": [\n {\n \"id\": \"<string>\",\n \"displayName\": \"<string>\",\n \"field\": \"<string>\"\n }\n ],\n \"groupKeys\": [\n \"<string>\"\n ],\n \"filterModel\": [\n {\n \"columnName\": \"<string>\",\n \"filterType\": \"<string>\"\n }\n ],\n \"sortModel\": [\n {\n \"colId\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://lens-api.tic.io/companies/{id}/assignments")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"startRow\": 123,\n \"endRow\": 123,\n \"rowGroupCols\": [\n {\n \"id\": \"<string>\",\n \"displayName\": \"<string>\",\n \"field\": \"<string>\"\n }\n ],\n \"groupKeys\": [\n \"<string>\"\n ],\n \"filterModel\": [\n {\n \"columnName\": \"<string>\",\n \"filterType\": \"<string>\"\n }\n ],\n \"sortModel\": [\n {\n \"colId\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://lens-api.tic.io/companies/{id}/assignments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"startRow\": 123,\n \"endRow\": 123,\n \"rowGroupCols\": [\n {\n \"id\": \"<string>\",\n \"displayName\": \"<string>\",\n \"field\": \"<string>\"\n }\n ],\n \"groupKeys\": [\n \"<string>\"\n ],\n \"filterModel\": [\n {\n \"columnName\": \"<string>\",\n \"filterType\": \"<string>\"\n }\n ],\n \"sortModel\": [\n {\n \"colId\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyList companies where the company holds a role (AG Grid)
Returns a paginated list of the companies in which this company itself holds a registered position today (no end date): auditor firm, komplementär or bolagsman of a partnership, administrator (förvaltare), board member. Ended positions are listed by POST /companies//assignments/history. Each row is one position with its start and, when Bolagsverket registered one, the natural person acting for the company in it (for an auditor firm the auditor in charge) by that person’s current name and PersonId; a protected identity is withheld. The request body follows the AG Grid server-side row model; column ids are prefixed a_ (the position), c_ (the company’s summary), d_ (the company) and r_ (the acting person).
curl --request POST \
--url https://lens-api.tic.io/companies/{id}/assignments \
--header 'Content-Type: application/json-patch+json' \
--header 'x-api-key: <api-key>' \
--data '
{
"startRow": 123,
"endRow": 123,
"rowGroupCols": [
{
"id": "<string>",
"displayName": "<string>",
"field": "<string>"
}
],
"groupKeys": [
"<string>"
],
"filterModel": [
{
"columnName": "<string>",
"filterType": "<string>"
}
],
"sortModel": [
{
"colId": "<string>"
}
]
}
'import requests
url = "https://lens-api.tic.io/companies/{id}/assignments"
payload = {
"startRow": 123,
"endRow": 123,
"rowGroupCols": [
{
"id": "<string>",
"displayName": "<string>",
"field": "<string>"
}
],
"groupKeys": ["<string>"],
"filterModel": [
{
"columnName": "<string>",
"filterType": "<string>"
}
],
"sortModel": [{ "colId": "<string>" }]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
startRow: 123,
endRow: 123,
rowGroupCols: [{id: '<string>', displayName: '<string>', field: '<string>'}],
groupKeys: ['<string>'],
filterModel: [{columnName: '<string>', filterType: '<string>'}],
sortModel: [{colId: '<string>'}]
})
};
fetch('https://lens-api.tic.io/companies/{id}/assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://lens-api.tic.io/companies/{id}/assignments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'startRow' => 123,
'endRow' => 123,
'rowGroupCols' => [
[
'id' => '<string>',
'displayName' => '<string>',
'field' => '<string>'
]
],
'groupKeys' => [
'<string>'
],
'filterModel' => [
[
'columnName' => '<string>',
'filterType' => '<string>'
]
],
'sortModel' => [
[
'colId' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json-patch+json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://lens-api.tic.io/companies/{id}/assignments"
payload := strings.NewReader("{\n \"startRow\": 123,\n \"endRow\": 123,\n \"rowGroupCols\": [\n {\n \"id\": \"<string>\",\n \"displayName\": \"<string>\",\n \"field\": \"<string>\"\n }\n ],\n \"groupKeys\": [\n \"<string>\"\n ],\n \"filterModel\": [\n {\n \"columnName\": \"<string>\",\n \"filterType\": \"<string>\"\n }\n ],\n \"sortModel\": [\n {\n \"colId\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://lens-api.tic.io/companies/{id}/assignments")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"startRow\": 123,\n \"endRow\": 123,\n \"rowGroupCols\": [\n {\n \"id\": \"<string>\",\n \"displayName\": \"<string>\",\n \"field\": \"<string>\"\n }\n ],\n \"groupKeys\": [\n \"<string>\"\n ],\n \"filterModel\": [\n {\n \"columnName\": \"<string>\",\n \"filterType\": \"<string>\"\n }\n ],\n \"sortModel\": [\n {\n \"colId\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://lens-api.tic.io/companies/{id}/assignments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"startRow\": 123,\n \"endRow\": 123,\n \"rowGroupCols\": [\n {\n \"id\": \"<string>\",\n \"displayName\": \"<string>\",\n \"field\": \"<string>\"\n }\n ],\n \"groupKeys\": [\n \"<string>\"\n ],\n \"filterModel\": [\n {\n \"columnName\": \"<string>\",\n \"filterType\": \"<string>\"\n }\n ],\n \"sortModel\": [\n {\n \"colId\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyColumns
The prefix of a column id says where the value comes from:a_ the position, c_ the company’s summary, d_ the company, r_ the person acting for the company in the position. Sort and filter on these ids.
| Column | Description |
|---|---|
a_CompanyId | The internal ID of the company the position is in |
d_CompanyRegistrationNumber | Its organisation number; d_CompanyRegistrationNumberFormatted has the hyphen |
c_LegalName | Its name |
a_PositionType | The position code, for example REV (auditor), KP (general partner), BO (partner), FÖRVALTARE (administrator) or LE (board member) |
a_PositionDescription | The position as registered |
a_PositionStart, a_PositionEnd | When the position started and ended |
r_RepresentedByPersonName, r_RepresentedByPersonId | The natural person registered as acting for the company in the position, such as an audit firm’s auditor in charge. Empty when none is registered or the person has a protected identity |
c_SNICodes | The company’s industry codes |
c_Period1, c_Period1_IS_NetSalesK, c_Period1_IS_OperatingProfitOrLossK, c_Period1_FN_NumberOfEmployees | Its latest financial year: net sales and operating profit in thousands, and the number of employees |
c_IntelligenceScoreTotal | Its risk indicator score |
c_KFM_DebtBalanceTotalAmountInSEK, c_KFM_RecordOfNonPaymentNumberOfCases | Its debts with the enforcement authority and its number of payment remarks |
c_LastCompanyStatusType, c_LastCompanyStatusDate, c_LastCompanyActivityStatus | Its latest status, with its date, and its activity status; LastCompanyStatusDescriptionSv and c_LastCompanyActivityStatusDescription give them as text |
d_IsCeased, d_CeasedDate | Whether and when it ceased |
Authorizations
Path Parameters
Internal company ID
Body
Response
AG Grid page of CompanyAssignment_Dto rows